Bug 1021724 - Nodes added via puppet run have no associated organization
Nodes added via puppet run have no associated organization
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Ivan Necas
Corey Welton
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 18:25 EDT by Dominic Cleal
Modified: 2016-04-22 10:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-11 08:26:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 3214 None None None 2016-04-22 10:58 EDT

  None (edit)
Description Dominic Cleal 2013-10-21 18:25:58 EDT
Description of problem:
When running node-install on a new node, it sets up the Puppet agent pointing to the locally installed puppet master.

Foreman learns about the new host via facts and reports, however it's created with no assigned organization and so it can't be associated with resources (such as host groups) that are bound to organizations.

The organization of the host also can't be set, since this option is greyed out on the host edit page.

Version-Release number of selected component (if applicable):
foreman-1.3.0-18.el6sat.noarch
foreman-postgresql-1.3.0-18.el6sat.noarch
foreman-proxy-1.3.0-3.el6sat.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install new node with "node-install --puppet true"
2. Run "puppet agent -t" on the node to get an immediate puppet run
3. Check the host appears in Foreman's host list
4. Add a host group in a user organization
5. Edit the host and try to assign to to the host group

Actual results:
No host group is listed in the dropdown as the host isn't bound to an organization

Expected results:
The host group is listed in the dropdown menu

Additional info:
The problem will occur for plain hosts joined via subscription-manager/puppet in the future too.
Comment 3 Bryan Kearney 2014-03-25 09:06:49 EDT
Moving to POST since upstream bug http://projects.theforeman.org/issues/3214 has been closed
Comment 5 Mike McCune 2014-05-05 14:10:43 EDT
Dependant on this PR:

https://github.com/Katello/katello-installer/pull/51
Comment 6 Bryan Kearney 2014-05-06 11:21:10 EDT
Moving to POST since upstream bug http://projects.theforeman.org/issues/3214 has been closed
Comment 8 Corey Welton 2014-06-24 15:02:53 EDT
Trying to follow the steps in the initial report, after using capsule-installer to install a capsule with puppet capability, I get

[root@cloud-qe-15 ~]# puppet agent -t
Info: Retrieving plugin
Error: /File[/var/lib/puppet/lib]: Could not evaluate: Could not retrieve information from environment production source(s) puppet://cloud-qe-15.idm.lab.bos.redhat.com/plugins
Warning: Not using cache on failed catalog
Error: Could not retrieve catalog; skipping run
Error: Could not send report: Error 405 on SERVER: <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>405 Method Not Allowed</title>
</head><body>
<h1>Method Not Allowed</h1>
<p>The requested method PUT is not allowed for the URL /production/report/cloud-qe-15.idm.lab.bos.redhat.com.</p>
</body></html>


Is there something else that should be done?
Comment 9 Dominic Cleal 2014-06-25 02:58:58 EDT
Looks like you have some other problem, probably that the Puppet master service isn't running under Passenger correctly.  Perhaps check for AVCs.
Comment 10 Corey Welton 2014-06-27 10:17:30 EDT
From latest compose... as far as I can tell, nothing is misconfigured, at least insofar as sat6 goes.


[root@cloud-qe-22 ~]#  puppet agent -t
Warning: Unable to fetch my node definition, but the agent run will continue:
Warning: Find /production/node/cloud-qe-22.idm.lab.bos.redhat.com?fail_on_404=true&transaction_uuid=b9fe418b-3e8b-4165-96fe-2a4cda9b687d resulted in 404 with the message: <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>404 Not Found</title>
</head><body>
<h1>Not Found</h1>
<p>The requested URL /production/node/cloud-qe-22.idm.lab.bos.redhat.com was not found on this server.</p>
</body></html>

Info: Retrieving plugin
Error: /File[/var/lib/puppet/lib]: Could not evaluate: Could not retrieve information from environment production source(s) puppet://cloud-qe-22.idm.lab.bos.redhat.com/plugins
Error: Could not retrieve catalog from remote server: Find /production/catalog/cloud-qe-22.idm.lab.bos.redhat.com?facts=%257B%2522name%2522%253A%2522cloud-qe-22.idm.lab.bos.redhat.com%2522%252C%2522expiration%2522%253A%25222014-06-27T10%253A27%253A15.467283000-04%253A00%2522%252C%2522timestamp%2522%253A%2522Fri%2BJun%2B27%2B09%253A57%253A15%2B-0400%2B2014%2522%252C%2522values%2522%253A%257B%2522memorytotal%2522%253A%252215.57%2BGB%2522%252C%2522virtual%2522%253A%2522physical%2522%252C%2522sshrsakey%2522%253A%2522AAAAB3NzaC1yc2EAAAABIwAAAQEAsBl%252Bu27waiSanO9pk3pj2JqP2eRVgLN38rliWDolP3L4554Pwk6mFGc13zVnrC%252FA50jNU4AQE9VpMvawAb0KWlE9c7%252BTxjGnzmqp2JtolLEOXaBBvah02Q8ShpnDGmXioEjA3F%252FOuUuRNQpR%252FrL7iX%252FyIVd3qBs6CP4oY8xTG5nmI%252B%252BmMzdR72KKCfS2c%252BU9%252BBeZdz3oY4m8oHLobJYimD91rPwIOjiZNJ%252Bo2eVko8omWMQrL%252FdeBjH%252FKG9iMomKQRU9JZahah9elazSWk2vVHP8H290tvI%252BSQzmAAO25hnm4niEiePsjAXFpAxvx0vlrxlzpwZtNIVlUzbcnYp%252BQQ%253D%253D%2522%252C%2522ps%2522%253A%2522ps%2B-ef%2522%252C%2522fqdn%2522%253A%2522cloud-qe-22.idm.lab.bos.redhat.com%2522%252C%2522operatingsystem%2522%253A%2522RedHat%2522%252C%2522clientcert%2522%253A%2522cloud-qe-22.idm.lab.bos.redhat.com%2522%252C%2522ipaddress6%2522%253A%25222620%253A52%253A0%253A1060%253A3640%253Ab5ff%253Afe8f%253Aaf97%2522%252C%2522selinux_current_mode%2522%253A%2522enforcing%2522%252C%2522domain%2522%253A%2522idm.lab.bos.redhat.com%2522%252C%2522swapsize_mb%2522%253A%25228039.99%2522%252C%2522sshdsakey%2522%253A%2522AAAAB3NzaC1kc3MAAACBAP2RxlvcUSwFEsk7BRHO67P%252FEo4tn3aiDzEEpBlrzjpF4pr33bGmYCND4N9U0%252BryzMCiqrZcRaCD175QvMNYGvcN5Dz%252BUMAqz115fbv%252FcW34gTxZ1bVMXA3ZZXihVy61s%252FhXkG7IskQp1KxJHsCpjdPTAcGd8EH%252Fr3%252FsQPejIeWTAAAAFQDaNkUqXOcfpiRqMmE3NVSwdZvgBwAAAIEA0ji6s4h%252Bq79SuJIsujDF5MqgrF8r%252FAxw0Z9loaTyI9OsSjrBl8kzoS48yjWtySRRTaRsizYsKsGzlgowQMwHL4bAjDvaLEKDs3Ub%252Fnw%252FAq49QmPQEl%252FeB9ujxUd7AnPzXfhWTTtZWWW4JhEineB1vI%252F3YVPYjklknk31BxQhEy0AAACBANJ5rxD51VMLVql3zVF9Wxkw%252FEZbkGBMYQSoRxPrK8Z1G8u6uN9bWJgSZSBp2N08PJOYASyQdssbyCUiocFy6Sdt4wUV%252FnQVdtgtJ0pwf9PSH7a7%252FZzKmElYg3seTxhbJQEGaKgwYN9kBKM1F7QOIbvrix8hFBOrNKQHwGRTQcrZ%2522%252C%2522selinux_policyversion%2522%253A%252224%2522%252C%2522hardwaremodel%2522%253A%2522x86_64%2522%252C%2522processorcount%2522%253A%25224%2522%252C%2522rubysitedir%2522%253A%2522%252Fusr%252Flib%252Fruby%252Fsite_ruby%252F1.8%2522%252C%2522kernelrelease%2522%253A%25222.6.32-431.el6.x86_64%2522%252C%2522sshfp_dsa%2522%253A%2522SSHFP%2B2%2B1%2B8a993318ee7e9af32c806a2f63592b998bd6be0b%255CnSSHFP%2B2%2B2%2Ba0c46e04aaad3ed3ece2f83a08352f670db9fef71e9b425144979a23892dc959%2522%252C%2522id%2522%253A%2522root%2522%252C%2522processor2%2522%253A%2522Intel%2528R%2529%2BXeon%2528R%2529%2BCPU%2BE3-1220%2BV2%2B%2540%2B3.10GHz%2522%252C%2522lsbdistcodename%2522%253A%2522Santiago%2522%252C%2522network_eth0%2522%253A%252210.16.96.0%2522%252C%2522lsbdistdescription%2522%253A%2522Red%2BHat%2BEnterprise%2BLinux%2BServer%2Brelease%2B6.5%2B%2528Santiago%2529%2522%252C%2522memorysize_mb%2522%253A%252215940.08%2522%252C%2522swapsize%2522%253A%25227.85%2BGB%2522%252C%2522clientnoop%2522%253A%2522false%2522%252C%2522boardserialnumber%2522%253A%252234M1DW%2522%252C%2522macaddress_eth1%2522%253A%252234%253A40%253AB5%253A8F%253AAF%253A98%2522%252C%2522osfamily%2522%253A%2522RedHat%2522%252C%2522bios_release_date%2522%253A%252212%252F09%252F2013%2522%252C%2522memoryfree_mb%2522%253A%252213694.03%2522%252C%2522uptime_hours%2522%253A%252238%2522%252C%2522uptime_days%2522%253A%25221%2522%252C%2522ipaddress%2522%253A%252210.16.96.142%2522%252C%2522interfaces%2522%253A%2522eth0%252Ceth1%252Clo%252Cusb0%2522%252C%2522is_virtual%2522%253A%2522false%2522%252C%2522bios_vendor%2522%253A%2522IBM%2BCorp.%2522%252C%2522netmask%2522%253A%2522255.255.252.0%2522%252C%2522type%2522%253A%2522Rack%2BMount%2BChassis%2522%252C%2522blockdevice_sr0_size%2522%253A%25221073741312%2522%252C%2522productname%2522%253A%2522IBM%2BSystem%2BX3250%2BM4%2B-%255B2583AC1%255D-%2522%252C%2522blockdevice_sda_model%2522%253A%2522ST500NM0011%2522%252C%2522selinux%2522%253A%2522true%2522%252C%2522facterversion%2522%253A%25221.7.6%2522%252C%2522filesystems%2522%253A%2522ext4%252Ciso9660%2522%252C%2522path%2522%253A%2522%252Fusr%252Flib64%252Fqt-3.3%252Fbin%253A%252Fusr%252Flocal%252Fsbin%253A%252Fusr%252Flocal%252Fbin%253A%252Fsbin%253A%252Fbin%253A%252Fusr%252Fsbin%253A%252Fusr%252Fbin%253A%252Froot%252Fbin%2522%252C%2522lsbdistrelease%2522%253A%25226.5%2522%252C%2522physicalprocessorcount%2522%253A%25221%2522%252C%2522mtu_eth1%2522%253A%25221500%2522%252C%2522serialnumber%2522%253A%2522KQ9B3HT%2522%252C%2522kernel%2522%253A%2522Linux%2522%252C%2522blockdevice_sr0_vendor%2522%253A%2522IBM%2BSATA%2522%252C%2522selinux_config_policy%2522%253A%2522targeted%2522%252C%2522uuid%2522%253A%25220FBD19AF-9A09-37BE-BECE-120AE8D1BE27%2522%252C%2522swapfree%2522%253A%25227.85%2BGB%2522%252C%2522hostname%2522%253A%2522cloud-qe-22%2522%252C%2522macaddress_usb0%2522%253A%252236%253A40%253AB5%253A8F%253AAF%253A9A%2522%252C%2522processor1%2522%253A%2522Intel%2528R%2529%2BXeon%2528R%2529%2BCPU%2BE3-1220%2BV2%2B%2540%2B3.10GHz%2522%252C%2522sshfp_rsa%2522%253A%2522SSHFP%2B1%2B1%2B704968af9dc0669babcc6860ece0a4a968d488ab%255CnSSHFP%2B1%2B2%2Bae90c29a847062e23f33e08960df8c7d0cf07688ae31f527dade6cb7df19c0f1%2522%252C%2522bios_version%2522%253A%2522-%255BJQE164AUS-1.07%255D-%2522%252C%2522kernelversion%2522%253A%25222.6.32%2522%252C%2522ipaddress_eth0%2522%253A%252210.16.96.142%2522%252C%2522mtu_lo%2522%253A%252216436%2522%252C%2522uniqueid%2522%253A%2522100a8e60%2522%252C%2522macaddress_eth0%2522%253A%252234%253A40%253AB5%253A8F%253AAF%253A97%2522%252C%2522swapfree_mb%2522%253A%25228037.91%2522%252C%2522selinux_config_mode%2522%253A%2522enforcing%2522%252C%2522ipaddress_lo%2522%253A%2522127.0.0.1%2522%252C%2522ipaddress6_eth0%2522%253A%25222620%253A52%253A0%253A1060%253A3640%253Ab5ff%253Afe8f%253Aaf97%2522%252C%2522augeasversion%2522%253A%25221.0.0%2522%252C%2522selinux_enforced%2522%253A%2522true%2522%252C%2522operatingsystemrelease%2522%253A%25226.5%2522%252C%2522rubyversion%2522%253A%25221.8.7%2522%252C%2522blockdevices%2522%253A%2522sda%252Csr0%2522%252C%2522puppetversion%2522%253A%25223.6.2%2522%252C%2522clientversion%2522%253A%25223.6.2%2522%252C%2522blockdevice_sda_size%2522%253A%2522500107862016%2522%252C%2522netmask_lo%2522%253A%2522255.0.0.0%2522%252C%2522netmask_eth0%2522%253A%2522255.255.252.0%2522%252C%2522kernelmajversion%2522%253A%25222.6%2522%252C%2522memoryfree%2522%253A%252213.37%2BGB%2522%252C%2522lsbrelease%2522%253A%2522%253Abase-4.0-amd64%253Abase-4.0-noarch%253Acore-4.0-amd64%253Acore-4.0-noarch%253Agraphics-4.0-amd64%253Agraphics-4.0-noarch%253Aprinting-4.0-amd64%253Aprinting-4.0-noarch%2522%252C%2522boardproductname%2522%253A%252200D3729%2522%252C%2522processor3%2522%253A%2522Intel%2528R%2529%2BXeon%2528R%2529%2BCPU%2BE3-1220%2BV2%2B%2540%2B3.10GHz%2522%252C%2522timezone%2522%253A%2522EDT%2522%252C%2522mtu_eth0%2522%253A%25221500%2522%252C%2522boardmanufacturer%2522%253A%2522IBM%2522%252C%2522lsbmajdistrelease%2522%253A%25226%2522%252C%2522blockdevice_sr0_model%2522%253A%2522DEVICE%2B81Y3672%2522%252C%2522mtu_usb0%2522%253A%25221500%2522%252C%2522hardwareisa%2522%253A%2522x86_64%2522%252C%2522processor0%2522%253A%2522Intel%2528R%2529%2BXeon%2528R%2529%2BCPU%2BE3-1220%2BV2%2B%2540%2B3.10GHz%2522%252C%2522manufacturer%2522%253A%2522IBM%2522%252C%2522memorysize%2522%253A%252215.57%2BGB%2522%252C%2522uptime%2522%253A%25221%2Bday%2522%252C%2522network_lo%2522%253A%2522127.0.0.0%2522%252C%2522lsbdistid%2522%253A%2522RedHatEnterpriseServer%2522%252C%2522architecture%2522%253A%2522x86_64%2522%252C%2522macaddress%2522%253A%252234%253A40%253AB5%253A8F%253AAF%253A97%2522%252C%2522selinux_mode%2522%253A%2522targeted%2522%252C%2522operatingsystemmajrelease%2522%253A%25226%2522%252C%2522uptime_seconds%2522%253A%2522137089%2522%252C%2522blockdevice_sda_vendor%2522%253A%2522ATA%2522%257D%257D&facts_format=pson&fail_on_404=true&transaction_uuid=b9fe418b-3e8b-4165-96fe-2a4cda9b687d resulted in 404 with the message: <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>404 Not Found</title>
</head><body>
<h1>Not Found</h1>
<p>The requested URL /production/catalog/cloud-qe-22.idm.lab.bos.redhat.com was not found on this server.</p>
</body></html>

Warning: Not using cache on failed catalog
Error: Could not retrieve catalog; skipping run
Error: Could not send report: Error 405 on SERVER: <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>405 Method Not Allowed</title>
</head><body>
<h1>Method Not Allowed</h1>
<p>The requested method PUT is not allowed for the URL /production/report/cloud-qe-22.idm.lab.bos.redhat.com.</p>
</body></html>
Comment 11 Corey Welton 2014-07-11 19:19:01 EDT
Moved to 6.0.4 for testing.
Comment 12 Corey Welton 2014-08-11 16:29:51 EDT
This is old, node-based stuff.  Very likely no longer valid.
Comment 13 Bryan Kearney 2014-09-11 08:26:12 EDT
This was delivered with Satellite 6.0 which was released on 10 September 2014.

Note You need to log in before you can comment on or make changes to this bug.